package com.tibco.hawk.rv;

import java.beans.IntrospectionException;

import com.streambase.sb.operator.parameter.ResourceFilePropertyDescriptor;
import com.streambase.sb.operator.parameter.SBPropertyDescriptor;
import com.streambase.sb.operator.parameter.SBSimpleBeanInfo;

/**
 * A BeanInfo class controls what properties are exposed, add 
 * metadata about properties (such as which properties are optional), and access 
 * special types of properties that can't be automatically derived via reflection. 
 * If a BeanInfo class is present, only the properties explicitly declared in
 * this class will be exposed by StreamBase.
 */
public class HawkMonitorAdapterBeanInfo extends SBSimpleBeanInfo {

	/*
	 * The order of properties below determines the order they are displayed within
	 * the StreamBase Studio property view. 
	 */
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new ResourceFilePropertyDescriptor("HawkPropertiesFile", HawkMonitorAdapter.class).displayName("Hawk Properties File").description(""),
				new SBPropertyDescriptor("schema0", HawkMonitorAdapter.class), };
		return p;
	}

}
